PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package aura
  Definition Classes
    serverobject
-  object AuraEffectBehavior
  Definition Classes
    aura
- EndAllEffects
- EndEffect
- Entry
- StartEffect

c

net.psforever.objects.serverobject.aura.AuraEffectBehavior

# Entry

###
Companion object Entry

#### case class Entry(duration: Long, timer: Cancellable) extends Cancellable with Product with Serializable

Source
  AuraEffectBehavior.scala

Linear Supertypes
Serializable, Product, Equals, Cancellable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Entry
2. Serializable
3. Product
4. Equals
5. Cancellable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Entry(duration: Long, timer: Cancellable)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def cancel(): Boolean
   Definition Classes
     Entry → Cancellable
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  val duration: Long
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def isCancelled: Boolean
    Definition Classes
      Entry → Cancellable
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  val start: Long
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  val timer: Cancellable
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Cancellable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped